%global api_ver 3.0

Name:           libxml++30
Version:        3.0.1
Release:        1%{?dist}
Summary:        C++ wrapper for the libxml2 XML parser library

License:        LGPLv2+
URL:            http://libxmlplusplus.sourceforge.net/
Source0:        https://download.gnome.org/sources/libxml++/3.0/libxml++-%{version}.tar.xz

BuildRequires:  doxygen, graphviz
BuildRequires:  glibmm24-devel
BuildRequires:  libxml2-devel

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. Its original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation for %{name}, includes full API docs
BuildArch:      noarch
Requires:       glibmm24-doc

%description    doc
This package contains the full API documentation for %{name}.


%prep
%autosetup -n libxml++-%{version} -p1


%build
%configure --disable-static
%make_build


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/libxml++-%{api_ver}.so.1*

%files devel
%{_includedir}/libxml++-%{api_ver}/
%{_libdir}/libxml++-%{api_ver}.so
%{_libdir}/libxml++-%{api_ver}/
%{_libdir}/pkgconfig/libxml++-%{api_ver}.pc

%files doc
%dir %{_datadir}/devhelp
%dir %{_datadir}/devhelp/books
%{_datadir}/devhelp/books/libxml++-%{api_ver}
%{_docdir}/libxml++-%{api_ver}


%changelog
* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 3.0.1-1
- Initial Fedora packaging
